{% extends "base.html" %}

{% block title %}
    Friends List
{% endblock %}

{% block css %} 
    {% load static %}
    <link rel="stylesheet" href="{% static 'css/card.css' %}">
{% endblock %}

{% block content %}
    <h1 class="section-title">Note Cards</h1>
    
    <!-- Loop through all Note objects and display them on the table -->
    {% for note in notes %} 
        <article class="note-card">
            <div class="note-header">
                <h3>{{note.title}}</h3>
            </div>
            
            <div class="note-body">
                
                <div class="sender">
                    <p><strong>From</strong> : {{note.origin}}</p>
                    <p><strong>To</strong>  : {{note.dest}}</p>
                </div>
                       
                <p>
                    {{note.message}}
                </p>
            </div>            
        </article>
    {% endfor %}

    <section class="btn-lst">
        <a href="/lab-4" class="btn-link">Table Mode</a>
        <a href="/lab-4/add-note" class="btn-link">Add Notes</a>
    </section>

{% endblock %}